Вопросы с тегом 'php7'

Вопросы, связанные с седьмым выпуском PHP, язык сценариев на стороне сервера, предназначенный для веб-разработки, который также может использоваться как язык программирования общего назначения
1
ответ

Ubuntu 16.04 Ошибка Php 7.0 mysqli

Я заказал новый сервер Ubuntu 16.04 с LAMP. PHP - 7.0. Эта строка php теперь выдает 500 внутренних ошибок, $result = new mysqli('localhost', 'user', 'pwd', 'dbase'); Он отлично работает на моем сервере 14.04 PHP 5. Я запустил php -r...
задан 04.12.2016 в 12:56
1
ответ

Не удается запустить конфигурацию PHP

Я установил nginx1.13.1 и php7.0.18, я попытался запустить страницу конфигурации PHP на моем сервере сайта, но это ошибка 404 не найдена. Не могли бы вы помочь мне настроить конфигурацию Конфигурация Nginx (/etc/nginx/conf.d/*.conf) следующим...
задан 09.06.2017 в 05:01
1
ответ

Ubuntu 16.04 - неподдерживаемый php7.0-fpm

ubuntu-support-status --show-unsupported Говорит, что на моих установках 16.04 и 16.10 php7.0-fpm php7.0-intl, php7.0-mbstring, php7.0-mcrypt и еще несколько пакетов не поддерживаются. Я установил PHP из официальных репозиториев, почему это...
задан 07.12.2016 в 16:46
1
ответ

Установить расширение Xdebug только для PHP7.1 [закрыто]

У меня установлен PHP 7.1 на Ubuntu 16.04. Когда я пытаюсь установить Xdebug с помощью apt-get install php-xdebug , я получаю xdebug.ini в каталогах 5.6, 7.0 и 7.1. Мне не нужны /php/5.6/mods-available/xdebug.ini и /php/7.0/mods-avai...
задан 21.04.2017 в 16:20
1
ответ

Почему Apache2 не записывает журналы?

Поскольку я не могу найти, где Apache сохраняет файлы журналов, я пытался даже переустановить LAMP, но не повезло. Ubunty 14.04, Apache 2.4, php 7.0.4, mysql 5. (5) Если я ssh на сервер, должен ли я получить путь к этому?: $ echo $APACH...
задан 14.07.2016 в 09:43
1
ответ

Как включить php на Apache2 в Xubuntu 16.04 [duplicate]

Я только что обновил ОС до версии 16.04, и теперь скрипты php не выполняются, я только что вернул исходный код. Как включить php на 16.04? Я пытаюсь вызвать эту команду: sudo a2enmod php7.0 , но получил ошибку: ERROR: Module php7.0...
задан 04.05.2016 в 13:30
1
ответ

Версия PHP 7 не работает в Ubuntu 12.04 [duplicate]

Недавно я обновил php. Моя команда php -v показывает следующий результат: PHP 7.0.6-6+donate.sury.org~precise+1 (cli) ( NTS ) Copyright (c) 1997-2016 The PHP Group Zend Engine v3.0.0, Copyright (c) 1998-2016 Zend Technologies with Zend...
задан 11.05.2016 в 16:37
1
ответ

Как установить phpize на Ubuntu 15.10

Я довольно новичок в Linux, и мне нужно установить phpize на мой Ubuntu 15.10. Я запускаю PHP 7.0.4 (XAMPP). Кто-нибудь знает, как это сделать? Я бы очень признателен за любую помощь от вас, ребята.     
задан 07.05.2016 в 16:57
2
ответа

http2.load - это болтающаяся символьная ссылка

Я только что обновил свой Google Compute Engine до Ubuntu 16.04 lts и теперь не могу перезапустить apache2! Сначала я побежал sudo apache2ctl configtest и получил следующее: apache2: Syntax error on line 140 of /etc/apache2/apache2.conf...
задан 08.06.2016 в 10:08
1
ответ

Как включить pgsql в PHP-FPM из сценария bash для phpPgAdmin

Я новичок в Linux, и я столкнулся с проблемой, которую я не могу решить. Запуск Ubuntu 14.04.5 LTS Trusty Я работаю над файлом бродяг, чтобы развернуть новую среду для новых разработчиков, как всегда. У меня проблема с phpPgAdmin: он дает...
задан 13.12.2017 в 19:30